IETP(4)

NAME
ietp - Elantech I2C touchpad device driver

SYNOPSIS
To compile this driver into the kernel, place the following lines into your kernel configuration file:

device ietp
device hidbus
device hid
device iichid
device iicbus
device evdev

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    ietp_load="YES"

DESCRIPTION
The ietp driver provides support for the Elantech I2C touchpad multi-touch devices found in many laptops.

To get multi-touch device working in X(7) (ports/x11/xorg-docs), install ports/x11-drivers/xf86-input-libinput.

FILES
ietp creates a pseudo-device file, /dev/input/eventX which presents the multi-touch device as an input event device.

SEE ALSO
hid(4), loader.conf(5), xorg.conf(5) (ports/x11/xorg), libinput(4) (ports/x11-drivers/xf86-input-libinput).

AUTHORS
-nosplit The ietp driver was written by Vladimir Kondratyev <wulf@FreeBSD.org>.

BUGS
ietp cannot act like sysmouse(4)